#include <bits/stdc++.h>
using namespace std;
bool soNguyenTo(int);
bool soNguyenTo(int x) 
{
	if (x < 2) 
	{
		return false;
	}
	else if (x>2)
	{
		if (x % 2 == 0)
		{
			return false;
		}
		for (int i = 3; i < x ; i += 2)
		{
			if (x%i == 0)
			{
				return false;
			}
		}
	}
	return true;
}
int main()
{
	ifstream f1("DQNT.INP");
	ofstream f2("DQNT.OUT");
	int n;
	int dem=0;
	long long a[100000];
	f1>> n;
	for (int i=0;i<n;i++)
	{
		f1>>a[i];
	}
	for (int i=0;i<n;i++)
	{
		if (soNguyenTo(a[i]) == true)
		{
			f2<< a[i]<<' ';
			dem++;
		}
	}
	if (dem==0)
	{
		f2<<"-1";
	}
	f1.close();
	f2.close();
}

